/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-09-04
 * 描述            ：询价/报价从表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Quote.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Quote.mapper.PurInquiryCMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_INQUIRY_C", namespace=PurInquiryCMapper.class)
public class PurInquiryC extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 6821749720223016778L;

	/** 
	 * 询价/报价单行号
	 */ 
	@Id
	private String inquiry_sqe;
	public String getInquiry_sqe() {
		return this.inquiry_sqe;
	}
	public void setInquiry_sqe(String inquiry_sqe) {
		this.inquiry_sqe = inquiry_sqe;
	}

	/** 
	 * 询价/报价单号
	 */ 
	@Column
	private String inquiry_no;
	public String getInquiry_no() {
		return this.inquiry_no;
	}
	public void setInquiry_no(String inquiry_no) {
		this.inquiry_no = inquiry_no;
	}

	/** 
	 * 询价/报价描述
	 */ 
	@Column
	private String inquiry_desc;
	public String getInquiry_desc() {
		return this.inquiry_desc;
	}
	public void setInquiry_desc(String inquiry_desc) {
		this.inquiry_desc = inquiry_desc;
	}

	/** 
	 * 采购计划行号
	 */ 
	@Column
	private String plan_sqe;
	public String getPlan_sqe() {
		return this.plan_sqe;
	}
	public void setPlan_sqe(String plan_sqe) {
		this.plan_sqe = plan_sqe;
	}

	/** 
	 * 采购单号
	 */ 
	@Column
	private String purchase_no;
	public String getPurchase_no() {
		return this.purchase_no;
	}
	public void setPurchase_no(String purchase_no) {
		this.purchase_no = purchase_no;
	}

	/** 
	 * 采购单描述
	 */ 
	@Column
	private String purchase_desc;
	public String getPurchase_desc() {
		return this.purchase_desc;
	}
	public void setPurchase_desc(String purchase_desc) {
		this.purchase_desc = purchase_desc;
	}

	/** 
	 * 采购单行号
	 */ 
	@Column
	private String purchase_sqe;
	public String getPurchase_sqe() {
		return this.purchase_sqe;
	}
	public void setPurchase_sqe(String purchase_sqe) {
		this.purchase_sqe = purchase_sqe;
	}

	/** 
	 * 标段号
	 */ 
	@Column
	private String bid_no;
	public String getBid_no() {
		return this.bid_no;
	}
	public void setBid_no(String bid_no) {
		this.bid_no = bid_no;
	}
	
	/** 
	 * 评标标准(6029)
	 */ 
	private String bid_std_code;
	public String getBid_std_code() {
		return this.bid_std_code;
	}
	public void setBid_std_code(String bid_std_code) {
		this.bid_std_code = bid_std_code;
	}

	/** 
	 * 评标标准名称
	 */ 
	private String bid_std_name;
	public String getBid_std_name() {
		return this.bid_std_name;
	}
	public void setBid_std_name(String bid_std_name) {
		this.bid_std_name = bid_std_name;
	}

	/** 
	 * 评标标准(6029)
	 */ 
	@Column
	private String bid_eval_std;
	public String getBid_eval_std() {
		return this.bid_eval_std;
	}
	public void setBid_eval_std(String bid_eval_std) {
		this.bid_eval_std = bid_eval_std;
	}

	/** 
	 * 分类代码
	 */ 
	@Column
	private String mat_class_code;
	public String getMat_class_code() {
		return this.mat_class_code;
	}
	public void setMat_class_code(String mat_class_code) {
		this.mat_class_code = mat_class_code;
	}

	/** 
	 * 分类名称
	 */ 
	@Column
	private String mat_class_name;
	public String getMat_class_name() {
		return this.mat_class_name;
	}
	public void setMat_class_name(String mat_class_name) {
		this.mat_class_name = mat_class_name;
	}

	/** 
	 * 物料编码
	 */ 
	@Column
	private String item_code;
	public String getItem_code() {
		return this.item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}

	/** 
	 * 物料描述
	 */ 
	@Column
	private String item_desc;
	public String getItem_desc() {
		return this.item_desc;
	}
	public void setItem_desc(String item_desc) {
		this.item_desc = item_desc;
	}

	/** 
	 * 物料名称
	 */ 
	@Column
	private String item_name;
	public String getItem_name() {
		return this.item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}

	/** 
	 * 物料英文名称
	 */ 
	@Column
	private String item_desc_e;
	public String getItem_desc_e() {
		return this.item_desc_e;
	}
	public void setItem_desc_e(String item_desc_e) {
		this.item_desc_e = item_desc_e;
	}

	/** 
	 * 物料检索(拼音助记码)
	 */ 
	@Column
	private String item_idx;
	public String getItem_idx() {
		return this.item_idx;
	}
	public void setItem_idx(String item_idx) {
		this.item_idx = item_idx;
	}

	/** 
	 * 标准代码
	 */ 
	@Column
	private String standards_code;
	public String getStandards_code() {
		return this.standards_code;
	}
	public void setStandards_code(String standards_code) {
		this.standards_code = standards_code;
	}

	/** 
	 * 标准号
	 */ 
	@Column
	private String standards_name;
	public String getStandards_name() {
		return this.standards_name;
	}
	public void setStandards_name(String standards_name) {
		this.standards_name = standards_name;
	}

	/** 
	 * 规格
	 */ 
	@Column
	private String spec_name;
	public String getSpec_name() {
		return this.spec_name;
	}
	public void setSpec_name(String spec_name) {
		this.spec_name = spec_name;
	}

	/** 
	 * (钢种/钢级/牌号)----COM_BASE_STEEL
	 */ 
	@Column
	private String steel_code;
	public String getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	/** 
	 * (钢种/钢级/牌号)
	 */ 
	@Column
	private String steel_name;
	public String getSteel_name() {
		return this.steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	/** 
	 * 属性代码
	 */ 
	@Column
	private String attr_code;
	public String getAttr_code() {
		return this.attr_code;
	}
	public void setAttr_code(String attr_code) {
		this.attr_code = attr_code;
	}

	/** 
	 * 属性名称
	 */ 
	@Column
	private String attr_name;
	public String getAttr_name() {
		return this.attr_name;
	}
	public void setAttr_name(String attr_name) {
		this.attr_name = attr_name;
	}

	/** 
	 * 交货状态代码(COM_BASE_DELIVERYSTATE)
	 */ 
	@Column
	private String delivery_state_code;
	public String getDelivery_state_code() {
		return this.delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	/** 
	 * 交货状态名称
	 */ 
	@Column
	private String delivery_state_name;
	public String getDelivery_state_name() {
		return this.delivery_state_name;
	}
	public void setDelivery_state_name(String delivery_state_name) {
		this.delivery_state_name = delivery_state_name;
	}

	/** 
	 * 交付地点编码（PUR_BS_DELIVERY_LOCATION）
	 */ 
	@Column
	private String delivery_location_code;
	public String getDelivery_location_code() {
		return this.delivery_location_code;
	}
	public void setDelivery_location_code(String delivery_location_code) {
		this.delivery_location_code = delivery_location_code;
	}

	/** 
	 * 交付地点
	 */ 
	@Column
	private String delivery_location;
	public String getDelivery_location() {
		return this.delivery_location;
	}
	public void setDelivery_location(String delivery_location) {
		this.delivery_location = delivery_location;
	}

	/** 
	 * 收货方式（正常接收/JIT）-6015
	 */ 
	@Column
	private String receive_type_code;
	public String getReceive_type_code() {
		return this.receive_type_code;
	}
	public void setReceive_type_code(String receive_type_code) {
		this.receive_type_code = receive_type_code;
	}

	/** 
	 * 收货方式
	 */ 
	@Column
	private String receive_type_name;
	public String getReceive_type_name() {
		return this.receive_type_name;
	}
	public void setReceive_type_name(String receive_type_name) {
		this.receive_type_name = receive_type_name;
	}

	/** 
	 * 采购数量
	 */ 
	@Column
	private Double qty;
	public Double getQty() {
		return this.qty;
	}
	public void setQty(Double qty) {
		this.qty = qty;
	}

	/** 
	 * 报价数量
	 */ 
	@Column
	private Double res_qty;
	public Double getRes_qty() {
		return this.res_qty;
	}
	public void setRes_qty(Double res_qty) {
		this.res_qty = res_qty;
	}

	/** 
	 * 中标数量
	 */ 
	@Column
	private Double bid_qty;
	public Double getBid_qty() {
		return this.bid_qty;
	}
	public void setBid_qty(Double bid_qty) {
		this.bid_qty = bid_qty;
	}

	/** 
	 * 采购单位编码
	 */ 
	@Column
	private String uom_code;
	public String getUom_code() {
		return this.uom_code;
	}
	public void setUom_code(String uom_code) {
		this.uom_code = uom_code;
	}

	/** 
	 * 采购单位名称
	 */ 
	@Column
	private String uom_name;
	public String getUom_name() {
		return this.uom_name;
	}
	public void setUom_name(String uom_name) {
		this.uom_name = uom_name;
	}

	/** 
	 * 税率
	 */ 
	@Column
	private String tax_rate_val;
	public String getTax_rate_val() {
		return this.tax_rate_val;
	}
	public void setTax_rate_val(String tax_rate_val) {
		this.tax_rate_val = tax_rate_val;
	}

	/** 
	 * 货币代码(6005)
	 */ 
	@Column
	private String currency_code;
	public String getCurrency_code() {
		return this.currency_code;
	}
	public void setCurrency_code(String currency_code) {
		this.currency_code = currency_code;
	}

	/** 
	 * 货币名称
	 */ 
	@Column
	private String currency_name;
	public String getCurrency_name() {
		return this.currency_name;
	}
	public void setCurrency_name(String currency_name) {
		this.currency_name = currency_name;
	}

	/** 
	 * 报价不含税单价
	 */ 
	@Column
	private Double res_without_tax_price;
	public Double getRes_without_tax_price() {
		return this.res_without_tax_price;
	}
	public void setRes_without_tax_price(Double res_without_tax_price) {
		this.res_without_tax_price = res_without_tax_price;
	}

	/** 
	 * 报价含税单价
	 */ 
	@Column
	private Double res_with_tax_price;
	public Double getRes_with_tax_price() {
		return this.res_with_tax_price;
	}
	public void setRes_with_tax_price(Double res_with_tax_price) {
		this.res_with_tax_price = res_with_tax_price;
	}

	/** 
	 * 报价不含税金额
	 */ 
	@Column
	private Double res_without_tax_amt;
	public Double getRes_without_tax_amt() {
		return this.res_without_tax_amt;
	}
	public void setRes_without_tax_amt(Double res_without_tax_amt) {
		this.res_without_tax_amt = res_without_tax_amt;
	}

	/** 
	 * 报价含税金额
	 */ 
	@Column
	private Double res_with_tax_amt;
	public Double getRes_with_tax_amt() {
		return this.res_with_tax_amt;
	}
	public void setRes_with_tax_amt(Double res_with_tax_amt) {
		this.res_with_tax_amt = res_with_tax_amt;
	}

	/** 
	 * 报价日期
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date res_date;
	public Date getRes_date() {
		return this.res_date;
	}
	public void setRes_date(Date res_date) {
		this.res_date = res_date;
	}

	/** 
	 * 报价有效日期
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date res_valid_date;
	public Date getRes_valid_date() {
		return this.res_valid_date;
	}
	public void setRes_valid_date(Date res_valid_date) {
		this.res_valid_date = res_valid_date;
	}

	/** 
	 * 报价交货日期
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date res_deliver_date;
	public Date getRes_deliver_date() {
		return this.res_deliver_date;
	}
	public void setRes_deliver_date(Date res_deliver_date) {
		this.res_deliver_date = res_deliver_date;
	}

	/** 
	 * 报价联系人
	 */ 
	@Column
	private String res_contact;
	public String getRes_contact() {
		return this.res_contact;
	}
	public void setRes_contact(String res_contact) {
		this.res_contact = res_contact;
	}

	/** 
	 * 报价价格条款
	 */ 
	@Column
	private String res_price_term;
	public String getRes_price_term() {
		return this.res_price_term;
	}
	public void setRes_price_term(String res_price_term) {
		this.res_price_term = res_price_term;
	}

	/** 
	 * 报价描述
	 */ 
	@Column
	private String res_desc;
	public String getRes_desc() {
		return this.res_desc;
	}
	public void setRes_desc(String res_desc) {
		this.res_desc = res_desc;
	}

	/** 
	 * 中标原因
	 */ 
	@Column
	private String bid_win_reason;
	public String getBid_win_reason() {
		return this.bid_win_reason;
	}
	public void setBid_win_reason(String bid_win_reason) {
		this.bid_win_reason = bid_win_reason;
	}

	/** 
	 * 中标不含税单价
	 */ 
	@Column
	private Double bid_win_without_tax_price;
	public Double getBid_win_without_tax_price() {
		return this.bid_win_without_tax_price;
	}
	public void setBid_win_without_tax_price(Double bid_win_without_tax_price) {
		this.bid_win_without_tax_price = bid_win_without_tax_price;
	}

	/** 
	 * 中标含税单价
	 */ 
	@Column
	private Double bid_win_with_tax_price;
	public Double getBid_win_with_tax_price() {
		return this.bid_win_with_tax_price;
	}
	public void setBid_win_with_tax_price(Double bid_win_with_tax_price) {
		this.bid_win_with_tax_price = bid_win_with_tax_price;
	}

	/** 
	 * 中标不含税金额
	 */ 
	@Column
	private Double bid_without_tax_amt;
	public Double getBid_without_tax_amt() {
		return this.bid_without_tax_amt;
	}
	public void setBid_without_tax_amt(Double bid_without_tax_amt) {
		this.bid_without_tax_amt = bid_without_tax_amt;
	}

	/** 
	 * 中标含税金额
	 */ 
	@Column
	private Double bid_with_tax_amt;
	public Double getBid_with_tax_amt() {
		return this.bid_with_tax_amt;
	}
	public void setBid_with_tax_amt(Double bid_with_tax_amt) {
		this.bid_with_tax_amt = bid_with_tax_amt;
	}

	/** 
	 * 采购员
	 */ 
	@Column
	private String buyer_name;
	public String getBuyer_name() {
		return this.buyer_name;
	}
	public void setBuyer_name(String buyer_name) {
		this.buyer_name = buyer_name;
	}

	/** 
	 * 采购管理部门代码
	 */ 
	@Column
	private String buyer_dept_code;
	public String getBuyer_dept_code() {
		return this.buyer_dept_code;
	}
	public void setBuyer_dept_code(String buyer_dept_code) {
		this.buyer_dept_code = buyer_dept_code;
	}

	/** 
	 * 采购管理部门描叙
	 */ 
	@Column
	private String buyer_dept_desc;
	public String getBuyer_dept_desc() {
		return this.buyer_dept_desc;
	}
	public void setBuyer_dept_desc(String buyer_dept_desc) {
		this.buyer_dept_desc = buyer_dept_desc;
	}

	/** 
	 * 采购管理科室代码
	 */ 
	@Column
	private String buyer_unit_code;
	public String getBuyer_unit_code() {
		return this.buyer_unit_code;
	}
	public void setBuyer_unit_code(String buyer_unit_code) {
		this.buyer_unit_code = buyer_unit_code;
	}

	/** 
	 * 采购管理科室描叙
	 */ 
	@Column
	private String buyer_unit_desc;
	public String getBuyer_unit_desc() {
		return this.buyer_unit_desc;
	}
	public void setBuyer_unit_desc(String buyer_unit_desc) {
		this.buyer_unit_desc = buyer_unit_desc;
	}

	/** 
	 * 归档标志(1归档、0未归档)
	 */ 
	@Column
	private String archive_flag;
	public String getArchive_flag() {
		return this.archive_flag;
	}
	public void setArchive_flag(String archive_flag) {
		this.archive_flag = archive_flag;
	}

	/** 
	 * 归档编号(GD+YYYYYMMDD+3位流水号)
	 */ 
	@Column
	private String arch_stamp_no;
	public String getArch_stamp_no() {
		return this.arch_stamp_no;
	}
	public void setArch_stamp_no(String arch_stamp_no) {
		this.arch_stamp_no = arch_stamp_no;
	}

	/** 
	 * 归档日期(YYYYMMDD)
	 */ 
	@Column
	private String arch_date;
	public String getArch_date() {
		return this.arch_date;
	}
	public void setArch_date(String arch_date) {
		this.arch_date = arch_date;
	}

	/** 
	 * 业务年月(YYYYMM)(数据生成时默认写入当前日期对应的年月)
	 */ 
	@Column
	private String bal_year_month;
	public String getBal_year_month() {
		return this.bal_year_month;
	}
	public void setBal_year_month(String bal_year_month) {
		this.bal_year_month = bal_year_month;
	}

	/** 
	 * 数据状态（00无效10草稿20生效30结案）
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 审批状态(00:待提报10:待审批 20:审批中 30审批拒绝40审批退回50审批通过)
	 */ 
	@Column
	private String status;
	public String getStatus() {
		return this.status;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String remark;
	public String getRemark() {
		return this.remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/** 
	 * 创建人ID
	 */ 
	@Column
	private String create_userid;
	public String getCreate_userid() {
		return this.create_userid;
	}
	public void setCreate_userid(String create_userid) {
		this.create_userid = create_userid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人ID
	 */ 
	@Column
	private String update_userid;
	public String getUpdate_userid() {
		return this.update_userid;
	}
	public void setUpdate_userid(String update_userid) {
		this.update_userid = update_userid;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 废除人ID
	 */ 
	@Column
	private String delete_userid;
	public String getDelete_userid() {
		return this.delete_userid;
	}
	public void setDelete_userid(String delete_userid) {
		this.delete_userid = delete_userid;
	}

	/** 
	 * 废除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 废除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}
	/**
	 * 预算单价(取采购单价)
	 */
	@Column
	private Double purchase_price;

	public Double getPurchase_price() {
		return this.purchase_price;
	}

	public void setPurchase_price(Double purchase_price) {
		this.purchase_price = purchase_price;
	}

	/**
	 * 预算总金额(计划价*数量)
	 */
	@Column
	private Double purchase_amt;

	public Double getPurchase_amt() {
		return this.purchase_amt;
	}

	public void setPurchase_amt(Double purchase_amt) {
		this.purchase_amt = purchase_amt;
	}
	// 供应商代码
	private String supp_code;
	public String getSupp_code() {
		return supp_code;
	}

	public void setSupp_code(String supp_code) {
		this.supp_code = supp_code;
	}

	public String getSupp_name() {
		return supp_name;
	}

	public void setSupp_name(String supp_name) {
		this.supp_name = supp_name;
	}

	// 供应商
	private String supp_name;
	
	// 合同类别
	private String contract_type;
	public String getContract_type() {
		return contract_type;
	}
	public void setContract_type(String contract_type) {
		this.contract_type = contract_type;
	}
}
